org.wildfly.swarm.config

## Class JPA<T extends JPA<T>>

- java.lang.Object
- - org.wildfly.swarm.config.JPA<T>

- Direct Known Subclasses:
    JPAFraction

      public class JPA<T extends JPA<T>>
      extends Object

  The configuration of the JPA subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPA.DefaultExtendedPersistenceInheritance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `defaultDatasource()` The name of the default global datasource.
    `T` | `defaultDatasource(String value)` The name of the default global datasource.
    `JPA.DefaultExtendedPersistenceInheritance` | `defaultExtendedPersistenceInheritance()` Controls how JPA extended persistence context (XPC) inheritance is performed.
    `T` | `defaultExtendedPersistenceInheritance(JPA.DefaultExtendedPersistenceInheritance value)` Controls how JPA extended persistence context (XPC) inheritance is performed.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPA

          public JPA()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### defaultDatasource

          public String defaultDatasource()

      The name of the default global datasource.

    - #### defaultDatasource

          public T defaultDatasource(String value)

      The name of the default global datasource.

    - #### defaultExtendedPersistenceInheritance

          public JPA.DefaultExtendedPersistenceInheritance defaultExtendedPersistenceInheritance()

      Controls how JPA extended persistence context (XPC) inheritance is performed. 'DEEP' shares the extended persistence context at top bean level. 'SHALLOW' the extended persistece context is only shared with the parent bean (never with sibling beans).

    - #### defaultExtendedPersistenceInheritance

          public T defaultExtendedPersistenceInheritance(JPA.DefaultExtendedPersistenceInheritance value)

      Controls how JPA extended persistence context (XPC) inheritance is performed. 'DEEP' shares the extended persistence context at top bean level. 'SHALLOW' the extended persistece context is only shared with the parent bean (never with sibling beans).

Copyright © 2017 JBoss by Red Hat. All rights reserved.